Update User
curl --request PUT \
--url https://los.universal.rollout.com/api/users/{id} \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"role": "<string>",
"status": "<string>",
"timezone": "<string>",
"username": "<string>",
"participatingOfficeIds": [
"<string>"
]
}
'import requests
url = "https://los.universal.rollout.com/api/users/{id}"
payload = {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"role": "<string>",
"status": "<string>",
"timezone": "<string>",
"username": "<string>",
"participatingOfficeIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
role: '<string>',
status: '<string>',
timezone: '<string>',
username: '<string>',
participatingOfficeIds: ['<string>']
})
};
fetch('https://los.universal.rollout.com/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"status": "<string>",
"timezone": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {},
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"username": "<string>",
"type": "<string>",
"offices": [
{
"id": "<string>"
}
]
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Users
Update User
PUT /users/
PUT
/
users
/
{id}
Update User
PUT /users/{id}
Base URL: https://los.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/los.json PUT /users/{id}Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I